MLIS Job Search Help

MLIS Job Help

Introduction

The MLIS Job Web, and this accompanying help site, have been designed to assist students and recent graduates in their search for professional LIS employment. We realize that finding out about job opportunities is just the beginning, so we have also included information that will help you throughout the application and interview process. We also aim to provide the information and tools you need to stay in touch with other job seekers and gain quick and easy access to the latest job postings.

If you have any questions, comments or suggestions, please contact us at MLISjobweb@uwo.ca.

Help Topics

  • Searching for jobs
  • Applying for jobs
  • Online job search journal
  • Job search discussion board
  • RSS feeds
  • Frequently Asked Questions

Questions or comments? Contact us.


Searching for jobs

Section 1.0 - Searching for jobs

The FIMS Job Web search has been designed to provide users with quick and easy access to the most recent LIS job postings. Finding relevant employment opportunities can be very time consuming. With this in mind, our consolidated job postings have been gathered from numerous LIS online job sites. These include the ALA, CLA, and OLA, as well as postings received through all Canadian universities and colleges offering LIS related programs. We also accept postings directly from employers.

Job Search Topics

  • Online job search strategies
  • Saving your job search
  • Automatic job posting notification


Online job search strategies

Section 1.1 - Online job search strategies

To search our postings, follow the Consolidated job search link from the top of the main menu.

Users may also choose to browse the full collection of current postings by choosing the appropriate link - View all postings.

Our database of consolidated job postings can be searched using the following criteria:

Job type

Limit your search to full-time, part-time positions.

Duration

Highlight permanent or contract opportunities.

Type of Employers

Select your preferred type of employer - choose from public, academic, school and special libraries as well as archives, prospect research or information management. Use the CTRL key to highlight more than one choice

Location

Limit your search to opportunities in the countries and/or provinces where you are seeking employment. Choose all that apply by using the CTRL key.

Commute

Stipulate the geographic area where you live and the maximum travel time to the workplace.

Salary

Limit your search to postings with salaries above a minimum acceptable level.

Required Experience

Highlight those postings that will accept recent graduates or limit those that require a certain level of experience.

Relevant Skills

Choose employment opportunities that call for your individual skill set. Highlight all that apply using the CTRL key.


Saving your job search

Section 1.2 - Saving your job search

Once you have created a search strategy that meets your criteria for employment, this search can be saved by clicking the Save this search button at the top of the displayed job list.

You will then be prompted to create a My Job Search profile. Those who have an existing profile will be asked to enter their username and password. You will also be required to name the newly saved search.

Saved queries can be accessed from the Saved job searches link in the My job search section of the main menu.

These saved searches can be run again at a later date in order to capture the most recent postings matching your criteria. Simply highlight the saved search from the list (use the CTRL key to select more than one saved search) and click on the Run my search button.

In order to remove saved searches from your profile, simply highlight the saved search and click the Delete button.


Automatic job posting notification

Section 1.3 - Automatic job posting notification

Job seekers can choose to receive notification whenever a new posting is added to the database. Clicking on the orange RSS button RSS will open the feed up in your web browser. You can then take the URL in your browser's window and put it into the RSS reader of your choice.

Rather than receiving news of all job postings, users can choose to be notified only when postings that meet the criteria stipulated in a particular saved search are added to the database. Beside each saved search in your profile you will see an orange button RSS which will give you a feed of that particular search. As stated above, simply click on the orange RSS button to open the feed up in your web browser. You can then take the URL in your browser's window and put it into the RSS reader of your choice.

More on RSS feeds.


Applying for jobs

Section 2.0 - Applying for jobs

Finding out about job opportunities is just the beginning, so we have also included information that will help you throughout the application and interview process.

Job Application Topics

  • Online application process
  • Online resume posting


Online application process

Section 2.1 - Online application process

If you think your skills and talents are a good match for one of the positions posted with MLIS Job Web, we encourage you to take advantage of our simple online application process.

If you see an Apply Online icon at the bottom of the job ad, you can apply online to that position. Click on the icon and follow the instructions to attach a cover letter and resume. The system automatically generates an e-mail to the appropriate address, quoting the file number for the competition in the subject line.


Online resume posting

Section 2.2 - Online resume posting

Upload your resumé by following the Post a resume link under the My job search heading on the main menu.

Before you can post your resume you will be prompted to create a My Job Search profile. Those who have an existing profile will be asked to enter their username and password.

Click on the "browse" button and follow instructions to attach a Microsoft Word or PDF version of your resumé from your computer.

These same steps can be followed in order to post a cover letter online.


Online job search journal

Section 3.0 - Online job search journal

Registering with MLIS Job Web allows you to apply for jobs online, save job searches and establish a personal job search calendar to track jobs you are interested in and have applied for. You can also store up to 20 different versions of your résumé and cover letters.

Online Journal Topics

  • Create and edit your personal profile
  • Track resumes and online applications
  • Online calendar


Create and edit your personal profile

Section 3.1 - Create and edit your personal profile

To create or edit your personal profile simply follow the Create/edit profile link under the My job search heading on the main menu.

When creating a profile you will be asked to enter your email address and provide a username and password. Once you click on the Create profile button, you will be asked for the additional information needed to create your profile.

You will be required to enter this username and password when accessing or editing your profile, posting resumes and cover letters, applying for jobs online or creating and viewing saved job searches.

In order to make any changes to your password, e-mail address, name, or address simply enter any changes and click Update Profile.


Track job searches and online applications

Section 3.2 - Track resumes and online applications

This section of the MLIS Job Web will enable you to keep track of your uploaded resumes and cover letters, as well as the jobs you've applied to and the status of your applications. Similarily to saved job searches, online resumes, cover letters and applications can edited or deleted through the My job search section of the main menu.

Once logged in using your username and password, you can display a list of uploaded resumes and cover letters and jobs to which you have applied online.

Outdated resumes and cover letters can be removed from your profile by highlighting the listed document and cliding the Delete button.

If you are not interested in a position or have accepted employment elsewhere, simply remove your application from the list by highlighting the job and clicking the Delete button. The hiring organization will be automatically notified.


Online calendar

Section 3.3 - Online calendar

The MLIS Job Web online calendar allows job seekers to track important dates and deadlines and record actions related to job postings. When accessing the online calendar new users will be prompted to create a My Job Search profile. Those who have an existing profile will be asked to enter their username and password.

Applications submited online will automatically prompt a calendar entry, stating the job applied for and the resume and cover letter versions included in the application.

To add a new calendar entry, highlight the date in question and click on the Add button. A window will then open, enabling users to add details such as time, place, contact, etc. Once completed click Save entry. This newly added entry will now be displayed on your personal job search calendar.

To change a calendar entry, highlight the relevant entry and click Edit and make change before on again clicking on Save entry. To remove a calendar entry, highlight the entry to be removed simply click on the Delete button.


Job search discussion board

Section 4.0 - Job search discussion board

This discussion board is open to all MLIS students and recent graduates, however a valid Job Web username and password is required. To read discussions, navigate to the discussion of interest by single clicking on the links from the list of topics and subtopics. You can navigate backwards using the navigation bars at the top of each page.

Job Search Topics

  • Contributing to Discussions
  • Searching Discussions
  • Automatic Discussion Notification


Contributing to Discussions

Section 4.1 - Contributing to Discussions

To post a message to an existing discussion, fill in the Add a message box at the bottom of the page. You may use formatting codes or basic HTML tags to improve the appearance of your post. Contributors must read and agree to our posting guidelines and terms and conditions.

Where available, you may click on a Start new thread link to start a new discussion. This will add a subtopic with the subject you specify and start a conversation with the initial message that you specify. After filling in the subject line, post a message as described above.


Searching Discussions

Section 4.2 - Searching Discussions

This discussion board can be searched by time of post (New Messages search) or by matching text (Keyword Search). Each of these searching mechanisms provide convenient methods to locate

To search for new messages, click the Search link from the Discussion board menu. The Last 1 | 3 | 7 Days options on the menu are equivalent to searching for messages posted within the last day, last three days, or messages posted within the last seven days, respectively.

To search the board by keywords, click the Search link from the Discussion board menu. You can then specify the words that will be used in the search. Additional instructions for using the Keyword Search option are displayed on the search screen itself.

When you have performed the search, click on any of the links to the pages to view the page, or click on a link in the result to go to the post where that text occurs.


Automatic Discussion Notification

Section 4.3 - Automatic Discussion Notification

Similarily to the automatic notification of job postings, job seekers can choose to receive notification whenever a new posting is added to the discussion board. Clicking on the orange RSS button RSS will open the feed up in your web browser. You can then take the URL in your browser's window and put it into the RSS reader of your choice.

More on RSS feeds.


RSS feeds

Section 5.0 - RSS feeds

RSS, which stands for Really Simple Syndication, is a standard data format that allows clients (usually called readers or aggregators) to easily display and keep track of headlines or brief stories from a number of websites all at once. A group of the latest updates from a website delivered via RSS is known as an RSS feed.

RSS readers make it really easy for you to be updated on the latest postings or discussions from MLIS Job Web without having to visit the site manually.

RSS Topics

  • RSS feeds offered by MLIS Job Web
  • Viewing your RSS feeds


RSS feeds offered by MLIS Job Web

Section 5.1 - RSS feeds offered by MLIS Job Web

The MIS Job Web provides three types of RSS feeds:

Job postings

The first type is a feed of all new postings added to the database. This allows you to keep track of each new employment opportunity through your RSS reader.

Saved job searches

MLIS Job Web also offers feeds based upon nearly any search you can do from within our site. Once a search is saved an RSS feed can be initiated, allowsing you to be notified when a new posting fitting your selected criteria is added to the database.

Online discussions

Similarily to the automatic notification of job postings, mentioned above, job seekers can choose to receive notification whenever a new posting is added to the discussion board.


Viewing your RSS feeds

Section 5.2 - Viewing your RSS feeds

There are many good free RSS readers that can be downloaded. FeedReader and SharpReader are two popular free ones for Windows, and NetNewsWire and AmphetaDesk are popular choices for Macintosh. The Firefox web browser also includes support for RSS feeds.

There are also several third party websites which you can read your RSS feeds from. Three of the most popular are Bloglines, My MSN and My Yahoo!

RSS is a standard format, so MLIS Job Web’s RSS feeds should work with any RSS reader. However, this site does not support or endorse any one in particular.

All MLIS Job Web Feeds are marked by an orange RSS button [image]. Click on this button. It will open the feed up in your web browser. You can then take the URL in your browser's window and put it into the RSS reader of your choice.


Frequently Asked Questions

Section 6.0 - Frequently Asked Questions

  • How do I begin my job search?
  • Where do all these job postings come from?
  • How do I save job searches?
  • How can I be automatically notified of new job postings?
  • How can I make my resume work for me?
  • How do I apply online?
  • How do I post my resume online?
  • How do I create an online profile?
  • How can I edit my profile?
  • How can I keep track of the jobs I've applied for?
  • How do I contribute to the online discussion board?
  • Can I search the discussion boards by topic or date?
  • How can I be automatically notified of new postings to the board?
  • What is an RSS feed?
  • What type of feeds does MLIS Job Web offer?
  • How can I access my RSS feeds?